--- knoppix-autoconfig	2004/09/27 22:28:58	1.1
+++ knoppix-autoconfig	2004/09/27 22:43:39
@@ -732,6 +732,7 @@
 fi
 
 # Add cdrom drives that have NOT been found by hwsetup (Kernel 2.6 bug?)
+cat /proc/sys/dev/cdrom/info 2>/dev/null | 
 while read drive name cdroms; do
 case "$drive$name" in drivename:) 
 for cd in $cdroms; do
@@ -744,9 +745,7 @@
 done
 ;;
 esac
-done <<EOT
-$(cat /proc/sys/dev/cdrom/info 2>/dev/null)
-EOT
+done 
 
 update_progress 60
 
@@ -912,6 +911,7 @@
 
 # Collect partitions from /proc/partitions
 partitions=""
+awk 'BEGIN{old="__start"}{if($0==old){exit}else{old=$0;if($4&&$4!="name"){print $0}}}' /proc/partitions |
 while read major minor blocks partition relax; do
 partition="${partition##*/}"
 [ -z "$partition" -o ! -e "/dev/$partition" ] && continue
@@ -920,9 +920,7 @@
 sd?) ;;                                               # SCSI Harddisk, entire disk
 [hs]d*) partitions="$partitions /dev/$partition";;    # IDE or SCSI disk partition
 esac
-done <<EOT
-$(awk 'BEGIN{old="__start"}{if($0==old){exit}else{old=$0;if($4&&$4!="name"){print $0}}}' /proc/partitions)
-EOT
+done 
 
 # Enable DMA for all IDE drives now if not disabled (and if not already done by linuxrc).
 # This is already done by linuxrc now.
@@ -946,6 +944,7 @@
 if checkbootparam "nofstab"; then
 echo " ${BLUE}Skipping /etc/fstab creation as requested on boot commandline.${NORMAL}"
 else
+checkbootparam "anyswap" && export ANYSWAP='yes' || export ANYSWAP=""
 echo -n "${BLUE}Scanning for Harddisk partitions and creating ${YELLOW}/etc/fstab${BLUE}... "
 rebuildfstab -r -u knoppix -g knoppix >/dev/null 2>&1
 if [ -e /var/run/rebuildfstab.pid ]; then
@@ -990,9 +989,7 @@
    fi
    ;;
   esac
- done <<EOT
-$(cat /etc/fstab)
-EOT
+ done < /etc/fstab
 fi
 update_progress 90
 
@@ -1165,9 +1162,7 @@
 break
 ;;
 esac
-done <<EOT
-$(cat /proc/mounts)
-EOT
+done < /proc/mounts
 fi
 fi
 
